import type { AbstractParserOptions } from './parser';
import type { AbstractStorage } from './storage';
interface UseStorageMethod<V> {
    set: (value: V) => void;
    remove: () => void;
}
export declare function useStorage<V, K = string>(key: K | null, defaultValue?: undefined, parser?: keyof AbstractParserOptions<any>): {
    readonly value: V | null;
} & UseStorageMethod<V>;
export declare function useStorage<V, K = string>(key: K, defaultValue: V, parser?: keyof AbstractParserOptions<any>): {
    readonly value: V;
} & UseStorageMethod<V>;
export declare namespace useStorage {
    var SERVICE: AbstractStorage<any, any>;
    var PARSER: AbstractParserOptions<any>;
    var clear: () => void;
}
export {};
