import { isFunction, isObject } from 'lodash';
import { useCallback } from 'react';
function setRef(ref, value) {
    if (isFunction(ref)) {
        ref(value);
    }
    else if (isObject(ref) && 'current' in ref) {
        ref['current'] = value;
    }
}
export function useForkRef(...refs) {
    return useCallback((refValue) => {
        refs.forEach((ref) => {
            setRef(ref, refValue);
        });
    }, 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    [...refs]);
}
